diff --git a/dirsrvtests/tests/suites/basic/basic_test.py b/dirsrvtests/tests/suites/basic/basic_test.py
index 209bab9..2bf4729 100644
--- a/dirsrvtests/tests/suites/basic/basic_test.py
+++ b/dirsrvtests/tests/suites/basic/basic_test.py
@@ -688,37 +649,37 @@ def test_basic_ldapagent(topology, import_example_ldif):
     log.info('test_basic_ldapagent: PASSED')
 
 
-def test_basic_dse(topology, import_example_ldif):
+def test_basic_dse(topology_st, import_example_ldif):
     """Test that the dse.ldif is not wipped out
     after the process is killed (bug 910581)
     """
 
     log.info('Running test_basic_dse...')
 
-    dse_file = topology.standalone.confdir + '/dse.ldif'
+    dse_file = topology_st.standalone.confdir + '/dse.ldif'
     pid = check_output(['pidof', '-s', 'ns-slapd'])
     os.system('sudo kill -9 ' + pid)
     if os.path.getsize(dse_file) == 0:
         log.fatal('test_basic_dse: dse.ldif\'s content was incorrectly removed!')
         assert False
 
-    topology.standalone.start(timeout=60)
+    topology_st.standalone.start(timeout=60)
     log.info('dse.ldif was not corrupted, and the server was restarted')
 
     log.info('test_basic_dse: PASSED')
 
 
 @pytest.mark.parametrize("rootdse_attr_name", ROOTDSE_DEF_ATTR_LIST)
-def test_def_rootdse_attr(topology, import_example_ldif, rootdse_attr_name):
+def test_def_rootdse_attr(topology_st, import_example_ldif, rootdse_attr_name):
     """Tests that operational attributes
     are not returned by default in rootDSE searches
     """
 
-    topology.standalone.start()
+    topology_st.standalone.start()
 
     log.info("        Assert rootdse search hasn't %s attr" % rootdse_attr_name)
     try:
-        entries = topology.standalone.search_s("", ldap.SCOPE_BASE)
+        entries = topology_st.standalone.search_s("", ldap.SCOPE_BASE)
         entry = str(entries[0])
         assert rootdse_attr_name not in entry
 
@@ -727,14 +688,14 @@ def test_def_rootdse_attr(topology, import_example_ldif, rootdse_attr_name):
         assert False
 
 
-def test_mod_def_rootdse_attr(topology, import_example_ldif, rootdse_attr):
+def test_mod_def_rootdse_attr(topology_st, import_example_ldif, rootdse_attr):
     """Tests that operational attributes are returned
     by default in rootDSE searches after config modification
     """
 
     log.info("        Assert rootdse search has %s attr" % rootdse_attr)
     try:
-        entries = topology.standalone.search_s("", ldap.SCOPE_BASE)
+        entries = topology_st.standalone.search_s("", ldap.SCOPE_BASE)
         entry = str(entries[0])
         assert rootdse_attr in entry
 
diff --git a/dirsrvtests/tests/suites/betxns/betxn_test.py b/dirsrvtests/tests/suites/betxns/betxn_test.py
index aa688de..746fc87 100644
--- a/dirsrvtests/tests/suites/betxns/betxn_test.py
+++ b/dirsrvtests/tests/suites/betxns/betxn_test.py
@@ -1,5 +1,5 @@
 # --- BEGIN COPYRIGHT BLOCK ---
-# Copyright (C) 2015 Red Hat, Inc.
+# Copyright (C) 2016 Red Hat, Inc.
 # All rights reserved.
 #
 # License: GPL (version 3 or any later version).
@@ -19,55 +19,21 @@ from lib389._constants import *
 from lib389.properties import *
 from lib389.tasks import *
 from lib389.utils import *
+
 logging.getLogger(__name__).setLevel(logging.DEBUG)
 log = logging.getLogger(__name__)
 
-installation1_prefix = None
-
-
-class TopologyStandalone(object):
-    def __init__(self, standalone):
-        standalone.open()
-        self.standalone = standalone
-
-
-@pytest.fixture(scope="module")
-def topology(request):
-    global installation1_prefix
-    if installation1_prefix:
-        args_instance[SER_DEPLOYED_DIR] = installation1_prefix
-
-    # Creating standalone instance ...
-    standalone = DirSrv(verbose=False)
-    args_instance[SER_HOST] = HOST_STANDALONE
-    args_instance[SER_PORT] = PORT_STANDALONE
-    args_instance[SER_SERVERID_PROP] = SERVERID_STANDALONE
-    args_instance[SER_CREATION_SUFFIX] = DEFAULT_SUFFIX
-    args_standalone = args_instance.copy()
-    standalone.allocate(args_standalone)
-    instance_standalone = standalone.exists()
-    if instance_standalone:
-        standalone.delete()
-    standalone.create()
-    standalone.open()
-
-    def fin():
-        standalone.delete()
-    request.addfinalizer(fin)
-
-    return TopologyStandalone(standalone)
-
 
-def test_betxn_init(topology):
+def test_betxn_init(topology_st):
     # First enable dynamic plugins - makes plugin testing much easier
     try:
-        topology.standalone.modify_s(DN_CONFIG, [(ldap.MOD_REPLACE, 'nsslapd-dynamic-plugins', 'on')])
+        topology_st.standalone.modify_s(DN_CONFIG, [(ldap.MOD_REPLACE, 'nsslapd-dynamic-plugins', 'on')])
     except ldap.LDAPError as e:
         ldap.error('Failed to enable dynamic plugin!' + e.message['desc'])
         assert False
 
 
-def test_betxt_7bit(topology):
+def test_betxt_7bit(topology_st):
     '''
     Test that the 7-bit plugin correctly rejects an invlaid update
     '''
@@ -79,22 +45,22 @@ def test_betxt_7bit(topology):
     BAD_RDN = eight_bit_rdn.encode('utf-8')
 
     # This plugin should on by default, but just in case...
-    topology.standalone.plugins.enable(name=PLUGIN_7_BIT_CHECK)
+    topology_st.standalone.plugins.enable(name=PLUGIN_7_BIT_CHECK)
 
     # Add our test user
     try:
-        topology.standalone.add_s(Entry((USER_DN, {'objectclass': "top extensibleObject".split(),
-                                 'sn': '1',
-                                 'cn': 'test 1',
-                                 'uid': 'test_entry',
-                                 'userpassword': 'password'})))
+        topology_st.standalone.add_s(Entry((USER_DN, {'objectclass': "top extensibleObject".split(),
+                                                      'sn': '1',
+                                                      'cn': 'test 1',
+                                                      'uid': 'test_entry',
+                                                      'userpassword': 'password'})))
     except ldap.LDAPError as e:
         log.error('Failed to add test user' + USER_DN + ': error ' + e.message['desc'])
         assert False
 
     # Attempt a modrdn, this should fail
     try:
-        topology.standalone.rename_s(USER_DN, BAD_RDN, delold=0)
+        topology_st.standalone.rename_s(USER_DN, BAD_RDN, delold=0)
         log.fatal('test_betxt_7bit: Modrdn operation incorrectly succeeded')
         assert False
     except ldap.LDAPError as e:
@@ -102,7 +68,7 @@ def test_betxt_7bit(topology):
 
     # Make sure the operation did not succeed, attempt to search for the new RDN
     try:
-        entries = topology.standalone.search_s(DEFAULT_SUFFIX, ldap.SCOPE_SUBTREE, BAD_RDN)
+        entries = topology_st.standalone.search_s(DEFAULT_SUFFIX, ldap.SCOPE_SUBTREE, BAD_RDN)
         if entries:
             log.fatal('test_betxt_7bit: Incorrectly found the entry using the invalid RDN')
             assert False
@@ -114,7 +80,7 @@ def test_betxt_7bit(topology):
     # Cleanup - remove the user
     #
     try:
-        topology.standalone.delete_s(USER_DN)
+        topology_st.standalone.delete_s(USER_DN)
     except ldap.LDAPError as e:
         log.fatal('Failed to delete test entry: ' + e.message['desc'])
         assert False
@@ -122,7 +88,7 @@ def test_betxt_7bit(topology):
     log.info('test_betxt_7bit: PASSED')
 
 
-def test_betxn_attr_uniqueness(topology):
+def test_betxn_attr_uniqueness(topology_st):
     '''
     Test that we can not add two entries that have the same attr value that is
     defined by the plugin.
@@ -133,15 +99,15 @@ def test_betxn_attr_uniqueness(topology):
     USER1_DN = 'uid=test_entry1,' + DEFAULT_SUFFIX
     USER2_DN = 'uid=test_entry2,' + DEFAULT_SUFFIX
 
-    topology.standalone.plugins.enable(name=PLUGIN_ATTR_UNIQUENESS)
+    topology_st.standalone.plugins.enable(name=PLUGIN_ATTR_UNIQUENESS)
 
     # Add the first entry
     try:
-        topology.standalone.add_s(Entry((USER1_DN, {'objectclass': "top extensibleObject".split(),
-                                     'sn': '1',
-                                     'cn': 'test 1',
-                                     'uid': 'test_entry1',
-                                     'userpassword': 'password1'})))
+        topology_st.standalone.add_s(Entry((USER1_DN, {'objectclass': "top extensibleObject".split(),
+                                                       'sn': '1',
+                                                       'cn': 'test 1',
+                                                       'uid': 'test_entry1',
+                                                       'userpassword': 'password1'})))
     except ldap.LDAPError as e:
         log.fatal('test_betxn_attr_uniqueness: Failed to add test user: ' +
                   USER1_DN + ', error ' + e.message['desc'])
@@ -149,12 +115,12 @@ def test_betxn_attr_uniqueness(topology):
 
     # Add the second entry with a dupliate uid
     try:
-        topology.standalone.add_s(Entry((USER2_DN, {'objectclass': "top extensibleObject".split(),
-                                     'sn': '2',
-                                     'cn': 'test 2',
-                                     'uid': 'test_entry2',
-                                     'uid': 'test_entry1',  # Duplicate value
-                                     'userpassword': 'password2'})))
+        topology_st.standalone.add_s(Entry((USER2_DN, {'objectclass': "top extensibleObject".split(),
+                                                       'sn': '2',
+                                                       'cn': 'test 2',
+                                                       'uid': 'test_entry2',
+                                                       'uid': 'test_entry1',  # Duplicate value
+                                                       'userpassword': 'password2'})))
         log.fatal('test_betxn_attr_uniqueness: The second entry was incorrectly added.')
         assert False
     except ldap.LDAPError as e:
@@ -164,10 +130,10 @@ def test_betxn_attr_uniqueness(topology):
     #
     # Cleanup - disable plugin, remove test entry
     #
-    topology.standalone.plugins.disable(name=PLUGIN_ATTR_UNIQUENESS)
+    topology_st.standalone.plugins.disable(name=PLUGIN_ATTR_UNIQUENESS)
 
     try:
-        topology.standalone.delete_s(USER1_DN)
+        topology_st.standalone.delete_s(USER1_DN)
     except ldap.LDAPError as e:
         log.fatal('test_betxn_attr_uniqueness: Failed to delete test entry1: ' +
                   e.message['desc'])
@@ -176,31 +142,31 @@ def test_betxn_attr_uniqueness(topology):
     log.info('test_betxn_attr_uniqueness: PASSED')
 
 
-def test_betxn_memberof(topology):
+def test_betxn_memberof(topology_st):
     ENTRY1_DN = 'cn=group1,' + DEFAULT_SUFFIX
     ENTRY2_DN = 'cn=group2,' + DEFAULT_SUFFIX
     PLUGIN_DN = 'cn=' + PLUGIN_MEMBER_OF + ',cn=plugins,cn=config'
 
     # Enable and configure memberOf plugin
-    topology.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
+    topology_st.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
     try:
-        topology.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'memberofgroupattr', 'member')])
+        topology_st.standalone.modify_s(PLUGIN_DN, [(ldap.MOD_REPLACE, 'memberofgroupattr', 'member')])
     except ldap.LDAPError as e:
         log.fatal('test_betxn_memberof: Failed to update config(member): error ' + e.message['desc'])
         assert False
 
     # Add our test entries
     try:
-        topology.standalone.add_s(Entry((ENTRY1_DN, {'objectclass': "top groupofnames".split(),
-                                     'cn': 'group1'})))
+        topology_st.standalone.add_s(Entry((ENTRY1_DN, {'objectclass': "top groupofnames".split(),
+                                                        'cn': 'group1'})))
     except ldap.LDAPError as e:
         log.error('test_betxn_memberof: Failed to add group1:' +
                   ENTRY1_DN + ', error ' + e.message['desc'])
         assert False
 
     try:
-        topology.standalone.add_s(Entry((ENTRY2_DN, {'objectclass': "top groupofnames".split(),
-                                     'cn': 'group1'})))
+        topology_st.standalone.add_s(Entry((ENTRY2_DN, {'objectclass': "top groupofnames".split(),
+                                                        'cn': 'group1'})))
     except ldap.LDAPError as e:
         log.error('test_betxn_memberof: Failed to add group2:' +
                   ENTRY2_DN + ', error ' + e.message['desc'])
@@ -212,7 +178,7 @@ def test_betxn_memberof(topology):
 
     # Add group2 to group1 - it should fail with objectclass violation
     try:
-        topology.standalone.modify_s(ENTRY1_DN, [(ldap.MOD_REPLACE, 'member', ENTRY2_DN)])
+        topology_st.standalone.modify_s(ENTRY1_DN, [(ldap.MOD_REPLACE, 'member', ENTRY2_DN)])
         log.fatal('test_betxn_memberof: Group2 was incorrectly allowed to be added to group1')
         assert False
     except ldap.LDAPError as e:
@@ -224,7 +190,7 @@ def test_betxn_memberof(topology):
 
     # Add group2 to group1 - it should fail with objectclass violation
     try:
-        topology.standalone.modify_s(ENTRY1_DN, [(ldap.MOD_ADD, 'member', ENTRY2_DN)])
+        topology_st.standalone.modify_s(ENTRY1_DN, [(ldap.MOD_ADD, 'member', ENTRY2_DN)])
         log.fatal('test_betxn_memberof: Group2 was incorrectly allowed to be added to group1')
         assert False
     except ldap.LDAPError as e:
diff --git a/dirsrvtests/tests/suites/clu/clu_test.py b/dirsrvtests/tests/suites/clu/clu_test.py
index e8bccb6..56c81a0 100644
--- a/dirsrvtests/tests/suites/clu/clu_test.py
+++ b/dirsrvtests/tests/suites/clu/clu_test.py
@@ -1,5 +1,5 @@
 # --- BEGIN COPYRIGHT BLOCK ---
-# Copyright (C) 2015 Red Hat, Inc.
+# Copyright (C) 2016 Red Hat, Inc.
 # All rights reserved.
 #
 # License: GPL (version 3 or any later version).
@@ -18,55 +18,17 @@ from lib389._constants import *
 from lib389.properties import *
 from lib389.tasks import *
 from lib389.utils import *
+
 logging.getLogger(__name__).setLevel(logging.DEBUG)
 log = logging.getLogger(__name__)
 
 
-class TopologyStandalone(object):
-    def __init__(self, standalone):
-        standalone.open()
-        self.standalone = standalone
-
-
-@pytest.fixture(scope="module")
-def topology(request):
-    # Creating standalone instance ...
-    standalone = DirSrv(verbose=False)
-    args_instance[SER_HOST] = HOST_STANDALONE
-    args_instance[SER_PORT] = PORT_STANDALONE
-    args_instance[SER_SERVERID_PROP] = SERVERID_STANDALONE
-    args_instance[SER_CREATION_SUFFIX] = DEFAULT_SUFFIX
-    args_standalone = args_instance.copy()
-    standalone.allocate(args_standalone)
-    instance_standalone = standalone.exists()
-    if instance_standalone:
-        standalone.delete()
-    standalone.create()
-    standalone.open()
-
-    def fin():
-        standalone.delete()
-    request.addfinalizer(fin)
-
-    return TopologyStandalone(standalone)
-
-
-def test_clu_init(topology):
-    '''
-    Write any test suite initialization here(if needed)
-    '''
-
-    return
-
-
-def test_clu_pwdhash(topology):
-    '''
-    Test the pwdhash script
-    '''
+def test_clu_pwdhash(topology_st):
+    """Test the pwdhash script"""
 
     log.info('Running test_clu_pwdhash...')
 
-    cmd = '%s -s ssha testpassword' % os.path.join(topology.standalone.get_bin_dir(), 'pwdhash')
+    cmd = '%s -s ssha testpassword' % os.path.join(topology_st.standalone.get_bin_dir(), 'pwdhash')
 
     p = os.popen(cmd)
     result = p.readline()
